For more information about the Live Video API, visit our Live Video Docs.
You can make a POST request to live_videos edge from the following paths:
/{group-id}/live_videosWhen posting to this edge, a LiveVideo will be created.
| Name | Description |
|---|---|
app_attribution_tagnumberic string or integer | An attribution tag for live videos which will show on feed. |
attribution_app_idnumberic string or integer | Id of the attribution app. |
content_tagslist<numberic string> | Tags that describe the contents of the video. Use search endpoint with /search?type=adinterest&q=sunsets |
descriptionUTF-8 string | The description of the live video. Supports Emojis. |
encoding_settingsstring |
Identifier of the encoding settings group the broadcaster is using for this stream. This parameter is currently only in use for live-360 broadcasts. The value to be passed to this parameter is the value of the |
event_paramsinteger | Unix timestamp when the broadcaster plans to go live. |
fisheye_video_croppedboolean | Whether the single fisheye video is cropped or not. |
front_z_rotationfloat | The front z rotation in degrees on the single fisheye video. |
game_idnumberic string or integer | Set which game this video is about. Use search endpoint with /search?type=game&=pubg |
game_specsGame Specs Parameter | Set metadata representing which game should be attributed. |
is_sphericalboolean | Flag that denotes the broadcast is a 360 live broadcast. |
live_encoderslist<numberic string or integer> | Live encoders that will broadcast to this live video. |
original_fovint64 | Original field of view of the camera. |
post_surfaces_blacklistlist<enum{1, 2, 3, 4, 5}> | A blacklist of where the post won't show up, for feed only experience. |
privacyPrivacy Parameter | Privacy for this live video. |
projectionenum{EQUIRECTANGULAR, CUBEMAP} | Flag that denotes expected projection for 360 live streams. The default value is EQUIRECTANGULAR. |
save_vodboolean | Whether or not the video data should be saved for later consumption in VOD format. Default is true. (Note: Can only be set at time of creation) |
schedule_custom_profile_imageimage | Custom image that will appear in the scheduled live story and lobby. |
spatial_audio_formatenum{ambiX_4} | Denotes the format of the spatial audio stream. When unspecified audio is presumed to be mono or stereo. |
statusenum {UNPUBLISHED, LIVE_NOW, SCHEDULED_UNPUBLISHED, SCHEDULED_LIVE, SCHEDULED_CANCELED} | The status of the broadcast. A |
stereoscopic_modeenum {MONO, LEFT_RIGHT, TOP_BOTTOM} | Set this flag to the stereoscopic mode for this video. |
stop_on_delete_stream | Set this to |
titleUTF-8 string | The title of the live video. Supports Emojis. |
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
stream_url: string,
secure_stream_url: string,
stream_secondary_urls: List [
string
],
secure_stream_secondary_urls: List [
string
],
dash_ingest_url: string,
}| Error | Description |
|---|---|
100 | Invalid Parameter |
200 | Permissions error |
| Name | Description |
|---|---|
Groups API | This is a feature requiring App Review. |
GET /v7.0/{group-id}/live_videos HTTP/1.1
Host: graph.facebook.comLearn more about the Graph API in our Using the Graph API Guide.
| Name | Description |
|---|---|
broadcast_statuslist<enum {UNPUBLISHED, LIVE, LIVE_STOPPED, PROCESSING, VOD, SCHEDULED_UNPUBLISHED, SCHEDULED_LIVE, SCHEDULED_EXPIRED, SCHEDULED_CANCELED}> | Allows you to specify what kind of live videos return. No value returns all status types. |
sourceenum{target, owner} | Default value: The source of where the videos should be queried. E.g |
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}dataA list of LiveVideo fields.
pagingFor more details about pagination, see the Graph API guide.
| Error | Description |
|---|---|
200 | Permissions error |
You can't perform this operation on this endpoint.
You can't perform this operation on this endpoint.